"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.resolveTimeExtensionPlugin = void 0;
const resolveTimeExtensionPlugin = () => ({
    requestDidStart: async () => {
        const startAt = new Date();
        const startAtTime = startAt.getTime();
        const startAtString = startAt.toLocaleString();
        return {
            willSendResponse: async (reqContext) => {
                const sendAt = new Date();
                const sendAtTime = sendAt.getTime();
                const sendAtString = sendAt.toLocaleString();
                reqContext.response.extensions = {
                    ...reqContext.response.extensions,
                    RESOLVE_TIME: sendAtTime - startAtTime,
                };
            },
        };
    },
});
exports.resolveTimeExtensionPlugin = resolveTimeExtensionPlugin;
